Can't use in Beta 6... Rated 3 out of 5 stars

A great add-on, but it's incompatible with Firefox 4.0 Beta 6.

This review is for a previous version of the add-on (2.5.10.1). 

should be fixed now

Can you please try the latest beta version from here: http://www.ietab.net/forum/general/11/fix-hang-crash-when-using-back-forward-or-hot-keys

It should now work in Fx 4.

I'd love to get you to a 5-* rating :-)

Thanks! - Don